petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCASMSetDMSubdomains

Indicates whether to use DMCreateDomainDecomposition() to define the subdomains, whenever possible.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMSetDMSubdomains(PC pc,PetscBool flg)

Logically Collective

### Input Parameter

| pc | - the preconditioner
| flg | - boolean indicating whether to use subdomains defined by the DM

### Options Database Key

-pc_asm_dm_subdomains -

### Notes

PCASMSetTotalSubdomains() and PCASMSetOverlap() take precedence over PCASMSetDMSubdomains(), so setting either of the first two effectively turns the latter off.

### Keywords

PC, ASM, DM, set, subdomains, additive Schwarz

### See Also

PCASMGetDMSubdomains(), PCASMSetTotalSubdomains(), PCASMSetOverlap()
PCASMCreateSubdomains2D(), PCASMSetLocalSubdomains(), PCASMGetLocalSubdomains()

### Level

intermediate

### Location

src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages